package jp.co.student.springbootstudy.domain.mapper;

import java.util.List;
import jp.co.student.springbootstudy.domain.model.Teacher;
import jp.co.student.springbootstudy.domain.model.TeacherExample;
import org.apache.ibatis.annotations.Param;

public interface TeacherMapper {

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	long countByExample(TeacherExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int deleteByExample(TeacherExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int deleteByPrimaryKey(String teacherId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int insert(Teacher row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int insertSelective(Teacher row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	List<Teacher> selectByExample(TeacherExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	Teacher selectByPrimaryKey(String teacherId);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int updateByExampleSelective(@Param("row") Teacher row, @Param("example") TeacherExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int updateByExample(@Param("row") Teacher row, @Param("example") TeacherExample example);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int updateByPrimaryKeySelective(Teacher row);

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.teacher
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	int updateByPrimaryKey(Teacher row);
}